
include windows.inc
include kernel32.inc
include user32.inc
include gdi32.inc

includelib kernel32.lib
includelib user32.lib
includelib gdi32.lib

include debug.inc
includelib debug.lib

includelib ButtonEx.lib

CADD MACRO quoted_text:VARARG
	LOCAL vname,lbl
  	jmp lbl
    vname db quoted_text,0
  	align 4
  	lbl:
	EXITM <ADDR vname>
ENDM

DlgProc				PROTO	:HWND,:UINT,:WPARAM,:LPARAM
CreateButtonExClass	PROTO	:HINSTANCE

IDD_DIALOG1			equ 101
IDC_BUTTONEX1 		equ 1001
IDC_BUTTONEX2 		equ 1002
IDC_BUTTONEX3 		equ 1003
IDC_BUTTONEX4 		equ 1004
IDC_BUTTONEX5		equ 1005
IDI_ICONOK			equ	2001
IDI_WHEELS			equ	2002
IDI_CLOSE			equ	2003
IDC_CURSORFINGER	equ	2004
IDR_HOVER			equ	2005
IDR_BANG			equ	2006
IDB_SAD				equ	2007
IDB_HAPPY			equ	2008
IDI_LEDON			equ 2009
IDI_LEDOFF			equ 2010

; Messages
; Messages
BTNEXM_SETBITMAP			equ WM_USER+100	;wParam =	nBitmapInID, lParam = nBitmapOutID
BTNEXM_SETICON				equ WM_USER+102	;wParam =	  nIconInID, lParam = nIconOutID
BTNEXM_SETCURSOR			equ WM_USER+103	;wParam = 	    hCursor, lParam = bRedraw
BTNEXM_SETTOOLTIPTEXT		equ WM_USER+104	;wParam =    		  0, lParam = lpText
BTNEXM_SETPRESSEDSTYLE		equ WM_USER+105	;wParam =   nPressStyle, lParam = bRedraw
BTNEXM_ALIGN_HORIZ			equ WM_USER+106	;wParam =	 		  0, lParam = 0
BTNEXM_ALIGN_VERT			equ WM_USER+107	;wParam =			  0, lParam = 0
BTNEXM_ALIGN_HORIZRIGHT		equ WM_USER+108	;wParam =			  0, lParam = 0
BTNEXM_SETBKGRCOL_IN		equ WM_USER+109	;wParam =	    crColor, lParam = 0
BTNEXM_SETTEXTCOL_IN		equ WM_USER+110	;wParam =	    crColor, lParam = 0
BTNEXM_SETBKGRCOL_OUT		equ WM_USER+111	;wParam =	    crColor, lParam = 0
BTNEXM_SETTEXTCOL_OUT		equ WM_USER+112	;wParam =	    crColor, lParam = 0
BTNEXM_SETBKGRCOL_FOCUS		equ WM_USER+113	;wParam =	    crColor, lParam = 0
BTNEXM_SETTEXTCOL_FOCUS		equ WM_USER+114	;wParam =	    crColor, lParam = 0
BTNEXM_SETDEFAULTCOLORS		equ WM_USER+115	;wParam =	          0, lParam = 0
BTNEXM_SETSOUND				equ WM_USER+116	;wParam = nSoundHoverID, lParam = nSoundClickID
BTNEXM_SETXPBUTTON			equ WM_USER+117	;wParam =			  0, lParam = 0
BTNEXM_SETDEFAULT			equ WM_USER+118	;wParam =	  Set/Clear, lParam = 0
BTNEXM_SETFLAT				equ WM_USER+119	;wParam =			  0, lParam = 0
BTNEXM_SETNORMAL			equ WM_USER+120	;wParam =			  0, lParam = 0
BTNEXM_SETXPCHECKBOX		equ WM_USER+121	;wParam =			  0, lParam = 0
BTNEXM_SETFLATCHECKBOX		equ WM_USER+122	;wParam =			  0, lParam = 0
BTNEXM_SHOWDISABLEIMAGE		equ WM_USER+123 ;wParam =			  0, lParam = 0
BTNEXM_SETALWAYSTRACK		equ WM_USER+124	;wParam =			  0, lParam = 0

.const
szButtonExDll		db "ButtonEx",0
szToolTip1			db "Default XP button",0
szToolTip2			db "Normal button",0
szToolTip3			db "Transparent button",0
szToolTip4			db "XP check box",0
szToolTip5			db "Bitmap button",0

;#########################################################################

.data?
hInstance			dd ?
;#########################################################################
